# canvas.cpp File Reference

Canvas Class Member Definitions. More...

`#include "layer.h"`
`#include "canvas.h"`
`#include <cassert>`
`#include "exception.h"`
`#include "time.h"`
`#include "context.h"`
`#include "layer_pastecanvas.h"`
`#include "loadcanvas.h"`
`#include <sigc++/bind.h>`

## Namespaces

namespace | synfig

## Defines

#define | SYNFIG_NO_ANGLE
#define | ALLOW_CLONE_NON_INLINE_CANVASES

## Functions

Canvas::Handle | synfig::open_canvas (const String &filename, String &errors, String &warnings)
| Loads a canvas from filename.
static bool | valid_id (const String &x)
void | synfig::optimize_layers (Time time, Context context, Canvas::Handle op_canvas, bool seen_motion_blur_in_parent)

## Variables

struct _CanvasCounter | _canvas_counter

## Detailed Description

Canvas Class Member Definitions.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

#define ALLOW_CLONE_NON_INLINE_CANVASES

## Function Documentation

static bool valid_id | ( | const String & | x | ) | `[static]`

Referenced by synfig::Canvas::add_child_canvas(), and synfig::Canvas::set_id().

## Variable Documentation

struct _CanvasCounter _canvas_counter